Bug 972543 - JaasSecurityDomain is missing in EAP6
JaasSecurityDomain is missing in EAP6
Status: NEW
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Security (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.3.0
Assigned To: Peter Skopek
Josef Cacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-09 21:40 EDT by Hisanobu Okuda
Modified: 2014-11-07 09:54 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Feature Request
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Hisanobu Okuda 2013-06-09 21:40:34 EDT
Description of problem:
JaasSecurityDomain is one of features which EAP5 has and is missing from EAP6. Some of our EAP5 customers don't like to move to the password vault, because they don't want to manage keystores for their thousands of VMs. Please reinstate JaasSecurityDomain or an alternative implementation which has a similar usability of JaasSecurityDomain.

Version-Release number of selected component (if applicable):

EAP 6.x

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 3 Anil Saldhana 2013-06-11 13:23:05 EDT
Have you looked at <jsse> element of the security subsystem configuration?
https://docs.jboss.org/author/display/AS7/Security+subsystem+configuration
Comment 4 Hisanobu Okuda 2013-06-11 21:41:25 EDT
Thanks for the suggestion, Anil. The customer wants to encrypt passwords for various data sources and user stores for authentication independently and not storing them in a keystore. Please see Comment #1.
Comment 6 Hisanobu Okuda 2013-07-19 04:29:17 EDT
Requesting this for inclusion to 6.2
Comment 7 Hisanobu Okuda 2013-11-07 21:37:24 EST
Request for inclusion to EAP 6.3.0
Comment 10 Stefan Guilhen 2014-02-25 09:53:15 EST
Assigning to Peter for evaluation

Note You need to log in before you can comment on or make changes to this bug.